/* fichier gnr par inspect_stack.c : NE PAS TOUCHER */ 
/*! \file Cstack.h 
\brief Inclusion de gestion de pile C 
 
Le fichier Cstack.h  contient les macros   dfinissant la taille minimum de pile #FredMIN_STACK , la taille minimum de trame #FredMIN_FRAME , le calcul d'une taille de pile viable FredSTACK_SIZE() et le calcul d'un pointeur de pile  partir d'une adresse de bloc libre FredMAKE_SP() .
*/ 
/*! \brief Taille minimum de pile de thread  
*/ 
#define FredMIN_STACK 8192 
/*! \brief Taille minimum de trame de procdure C  
*/ 
#define FredMIN_FRAME 60 
/*! \brief Calcul d'une taille de pile correcte  
*/ 
#define FredSTACK_SIZE(sz) (((FredMIN_STACK>(sz))?FredMIN_STACK:(sz))+FredMIN_FRAME)    
/*! \brief Calcul du pointeur de pile  
*/ 
 #define FredMAKE_SP(a,sz) ((a)+(sz))  
