/*! \file interrupt.h
\brief Inclusion de la gestion des traitants d'interruption
*/


#ifndef INTERRUPT_H
#define INTERRUPT_H




/*************************************************************
*  Definition d'un traitant d'interruption			               
*                                                             
*    le traitement a toujours lieu compltement masqu	      
*************************************************************/
extern void FredSignalAttach(int sig,void(*handler)(int));
/***************************************************************
*    Initialisation des traitants d'interruption                   
*
*  un traitant par dfaut est install pour tous les signaux  
*         sauf SIGKILL --> ctrl C et SIGINT--> ctrl S  
**************************************************************/
extern void FredSignalsInit();


#endif

