
/*! \file countdown.h
\brief Inclusion du dcompteur
*/


#ifndef COUNTDOWN_H
#define COUNTDOWN_H



/***************************************************************
* Lancement d'un dcomptage de temps                        
***************************************************************/     
extern long FredCountDownStart( long uS);
 /* uS nouveau dcompte (en micro secondes) 
  retour le residu de l'ancien dcompte*/

/***************************************************************
* Arrt d'un dcomptage                   
***************************************************************/     
extern long FredCountDownStop();
/* arrte et rend le dcompte residuel */

/***************************************************************
* Lecture du dcompteur                       
***************************************************************/     
extern long FredCountDownGet();
/*  rend le dcompte residuel */
/***************************************************************
* Attache un traitant de fin de dcomptage                       
***************************************************************/     
extern void FredCountDownAttach(void(*handler)(int));



#endif

