/*! \file io.h
\brief Inclusion des E/S
*/
#ifndef _IO_H
#define _IO_H
#include <stdio.h>



extern int FredPrintf(const char *format, ...);
extern int FredFprintf(FILE *stream, const char *format, ...);
extern int  FredSprintf(char *str, const char *format, ...);

extern int FredScanf(const char *format, ...);
extern int FredFscanf(FILE *stream, const char *format, ...);
extern int  FredSscanf(char *str, const char *format, ...);

#endif
